import yaml 


class Config: 

    def __init__(self, config_file): 
        self.set_parameters(config_file) 
        self.arch = Archive(self.arch_conf)

    def set_parameters(self, config_file): 

        with open(config_file) as f:     

            conf = yaml.load(f, Loader=yaml.FullLoader)

            for box, vals in conf.items():
                for k, v in vals.items(): 
                    setattr(self, k, v) 

class Archive: 

    def __init__(self, arch_file): 
        self.set_parameters(arch_file) 

    def set_parameters(self, arch_file): 

        with open(arch_file) as f:     
            file = yaml.load(f, Loader=yaml.FullLoader)
            for k, v in file['dirs'].items(): 
                setattr(self, k, v) 
    
    def get_system(self,system, tempfreq):

        system_dict = getattr(self,system)
        system_dict = {"dir": self.esarchive + system_dict['src'] + tempfreq + '/',
                       "subdirs": system_dict[tempfreq],
                       "type": system_dict['type'],
                       "ensemble": system_dict['ensemble']}

        return(system_dict)



